## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk[["set"]](
  collapse = TRUE,
  comment = "#>"
)

# setting engine for xml and yaml code chunks.
# warning in devtools::build_vignettes(package) otherwise
knitr::knit_engines[["set"]](
  xml = function(options) {},
  yaml = function(options) {}
)

## ----out.width = '100%', echo = FALSE-----------------------------------------
knitr::include_graphics(file.path("img","adu_t_3d-plan.webp"))

## ----echo=FALSE---------------------------------------------------------------

knitr::kable(
  read.csv2(file.path("tbl", "adu_t_info.csv")),
  col.names = c("structural group", "type of element", "material", "other information")
)


## ----out.width = '100%', echo = FALSE-----------------------------------------
knitr::include_graphics(file.path("img", "adu_t_exterior-wall_name.webp"))

## ----out.width = '100%', echo = FALSE-----------------------------------------
knitr::include_graphics(file.path("img", "adu_t_exterior-wall_name-coord.webp"))

## ----out.width = '100%', echo = FALSE-----------------------------------------
knitr::include_graphics(file.path("img", "adu_t_exterior-wall-opening_name-coord.webp"))

## ----out.width = '100%', echo = FALSE-----------------------------------------
knitr::include_graphics(file.path("img", "adu_t_room1-opening_name-coord.webp"))

## ----out.width = '100%', echo = FALSE-----------------------------------------
knitr::include_graphics(file.path("img", "adu_t_all.webp"))

